Summary:	Ncview is a visual browser for netCDF format files
Name:		ncview
Version:	1.92e
Release:	1.PU_IAS.4
License:	GPL
Group:		Scientific/Application
Source:		ftp://cirrus.ucsd.edu/pub/ncview/ncview-%{version}.tar.gz
BuildRequires:	XFree86-devel netcdf-devel netcdf udunits
URL:		http://meteora.ucsd.edu/~pierce/ncview_home_page.html
BuildRoot:	/var/tmp/%{name}-%{version}-root

%description
This package contains ncview, a X Windows visual browser for netCDF data 
format files.  Ncview displays a 2-dimensional, color representation of data
in a netCDF file.  You can animate the data in time (making simple movies), 
flip or enlarge the picture, scan through various axes, change colormaps, etc.
You can also plot the data in X-Y plots and then print those, courtesy 
of the SciPlot widget from Robert W. McMullen <rwmcm@orion.ae.utexas.edu>.

%prep
%setup -c -n ncview

%build
cd ncview-%{version}
export NCVIEW_LIB_DIR=%{_datadir}/ncview
%configure --with-netcdf_libdir=%{_libdir} -with-udunits_libdir=%{_libdir} -with-ppm_libdir=%{_libdir}
make NCVIEW_LIB_DIR=%{_datadir}/ncview

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_datadir},%{_bindir},%{_includedir},%{_mandir}/man1,/usr/X11R6/lib/X11/app-defaults}
cd ncview-%{version}
%makeinstall BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	     MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	     NCVIEW_LIB_DIR=$RPM_BUILD_ROOT%{_datadir}/ncview
chmod a-x $RPM_BUILD_ROOT%{_datadir}/ncview/*
install -m 644 Ncview-appdefaults $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Ncview

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc ncview-%{version}/README
%{_bindir}/ncview
%{_datadir}/ncview
%{_mandir}/man1/*
/usr/X11R6/lib/X11/app-defaults/Ncview

%changelog
* Thu Aug 26 2004 Josko Plazonic <plazonic@math.princeton.edu>
- packaging fixes and 1.92e

* Thu May 01 2003 Josko Plazonic <plazonic@math.princeton.edu>
- upgrade to 1.92d and rebuild for RH 9

* Sun Mar 10 2002 Josko Plazonic <plazonic@math.princeton.edu>
- insert Ncview in x11 app-defaults dir

* Thu Dec 06 2001 Josko Plazonic <plazonic@math.princeton.edu>
- initial build as rpm

